# xmlpp::validity_error Class Reference

This exception will be thrown when the parser encounters a validity error in the XML document. More...

Inheritance diagram for xmlpp::validity_error:

[legend]

List of all members.

## Public Member Functions
| validity_error (const Glib::ustring &message)
virtual | ~validity_error () throw ()
virtual void | Raise () const
virtual exception * | Clone () const

## Detailed Description

This exception will be thrown when the parser encounters a validity error in the XML document.

## Constructor & Destructor Documentation

xmlpp::validity_error::validity_error | ( | const Glib::ustring & | message | ) | `[explicit]`

virtual xmlpp::validity_error::~validity_error | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

virtual exception* xmlpp::validity_error::Clone | ( |  | ) | const`[virtual]`

Reimplemented from xmlpp::parse_error.

virtual void xmlpp::validity_error::Raise | ( |  | ) | const`[virtual]`

Reimplemented from xmlpp::parse_error.

The documentation for this class was generated from the following file:

- validity_error.h